Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1017538 - [TEXT] Tell user to let engine know where keystone auth endpoint lives
Summary: [TEXT] Tell user to let engine know where keystone auth endpoint lives
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal
Version: 3.3.0
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: ---
: 3.5.0
Assignee: Lior Vernia
QA Contact: GenadiC
URL:
Whiteboard: network
Depends On:
Blocks: rhev3.5beta 1156165
TreeView+ depends on / blocked
 
Reported: 2013-10-10 06:46 UTC by Tim Hildred
Modified: 2016-02-10 19:47 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: While configuring an external provider in RHEV, a non-trivial process, it is possible for users to skip the step where the Keystone authentication server URL is configured via the engine-config utility. Consequence: If the Keystone server URL is not configured, and the external provider requires authentication, then nearly all operations involving the provider will subsequently fail. Fix: When a user tests connectivity via the "Test" button in the Add/Edit Provider dialog, while the provider is marked to require authentication, a fair warning will be displayed in case no Keystone server URL is found to be configured. Result: It is relatively easy for users to figure out that connectivity to a provider is failing due to a missing Keystone server URL.
Clone Of:
Environment:
Last Closed: 2015-02-17 17:11:51 UTC
oVirt Team: Network
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 25720 master MERGED webadmin: Warn user if KeystoneAuthUrl wasn't configured Never
oVirt gerrit 27517 ovirt-engine-3.4 ABANDONED webadmin: Warn user if KeystoneAuthUrl wasn't configured Never

Description Tim Hildred 2013-10-10 06:46:19 UTC
Description of problem:
When adding external providers, it isn't clear that before you can do that, you have to use the rhevm-config / engine-config tool to let engine know where the keystone auth endpoint is. 

This came up in a thread on the ovirt[1] users mailing list, and Itamar suggested[2] this bug be raised. 

Maybe when you hit the "Test" button, instead of just saying "Failed to communicate with service provider"

the engine could say:
"Failed to communicate with service provider. Have you used the configuration utility to set the KeystoneAuthUrl value?"

[1]http://lists.ovirt.org/pipermail/users/2013-September/016607.html
[2]http://lists.ovirt.org/pipermail/users/2013-September/016613.html

Comment 1 Lior Vernia 2013-10-15 07:40:40 UTC
In the current tech preview form of the Neutron integration feature, this is not feasible; there's no way of knowing what went wrong with the connection to the provider. I don't think this should be part of 3.3.

Comment 3 Nir Yechiel 2014-02-19 12:47:44 UTC
Verify that a url was entered for keystone and if not, report it in the UI. This is a limited solution and the issue will be fully addressed in 3.5.

Comment 5 Meni Yakove 2014-07-17 12:34:23 UTC
ovirt-engine-3.5.0-0.0.master.20140715172116.git4687dc1.el6.noarch

Comment 7 Eyal Edri 2015-02-17 17:11:51 UTC
rhev 3.5.0 was released. closing.


Note You need to log in before you can comment on or make changes to this bug.